Subject: Who owns the copyright on the master proof-implementations? (the code used to prove IETF protocols work)

From: Todd Glassey <[email-masked]>
Date: Thu, 27 Aug 2009 10:31:37 -0700

Folks - I have always wondered this - who actually owns the copyrights 
against the 'proof' images for any standards run - these would be the 
two or more 'code samples' which implement any given example of a 
technology which would be used to quality that for IETF Standards Status?

Is it the Trust for instance? Seems like it should be if the trust also 
owns the publication rights against the standard itself. The intent is 
to complete the package so to speak, to make the bundle of the standard, 
the code that proves it works, the test plans and the test results that 
verify and allow the characterization of the Intellectual Property in 
the real world are all key components, and it seems to me that if the 
Trust wants to really control this IP it needs to have these bullets in 
their gun as well.

Todd Glassey